Summary:	A commandline flags library that allows for distributed flags
Summary(pl.UTF-8):	Biblioteka flag linii poleceń pozwalająca na rozproszone flagi
Name:		gflags
Version:	2.2.2
Release:	2
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/gflags/gflags/releases
Source0:	https://github.com/schuhschuh/gflags/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	1a865b93bacfa963201af3f75b7bd64c
Patch0:		%{name}-pc-nothreads.patch
URL:		http://gflags.github.io/gflags/
BuildRequires:	cmake >= 3.0.2
BuildRequires:	libstdc++-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gflags is Google's commandline flags library. It differs from other
libraries, such as getopt(), in that flag definitions can be scattered
around the source code, and not just listed in one place such as
main().

%description -l pl.UTF-8
gflags to biblioteka flag linii poleceń stworzona przez Google. Różni
się od innych bibliotek, takich jak getopt(), tym, że definicje flag
mogą być rozproszone po kodzie źródłowym, a nie wypisane tylko w
jednym miejscu, takim jak main().

%package devel
Summary:	Header files for gflags library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gflags
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for gflags library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gflags.

%package static
Summary:	Static gflags library
Summary(pl.UTF-8):	Statyczna biblioteka gflags
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gflags library.

%description static -l pl.UTF-8
Statyczna biblioteka gflags.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake .. \
	-DBUILD_STATIC_LIBS=ON
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# disable completeness check incompatible with split packaging
%{__sed} -i -e '/^foreach(target .*IMPORT_CHECK_TARGETS/,/^endforeach/d' \
	$RPM_BUILD_ROOT%{_libdir}/cmake/gflags/gflags-nonamespace-targets.cmake \
	$RPM_BUILD_ROOT%{_libdir}/cmake/gflags/gflags-targets.cmake

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS.txt COPYING.txt ChangeLog.txt README.md
%attr(755,root,root) %{_bindir}/gflags_completions.sh
%attr(755,root,root) %{_libdir}/libgflags.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgflags.so.2.2
%attr(755,root,root) %{_libdir}/libgflags_nothreads.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgflags_nothreads.so.2.2

%files devel
%defattr(644,root,root,755)
# not present in 2.2.0
#%doc doc/{index.html,designstyle.css}
%attr(755,root,root) %{_libdir}/libgflags.so
%attr(755,root,root) %{_libdir}/libgflags_nothreads.so
%{_includedir}/gflags
%{_pkgconfigdir}/gflags.pc
%{_pkgconfigdir}/gflags_nothreads.pc
%{_libdir}/cmake/gflags

%files static
%defattr(644,root,root,755)
%{_libdir}/libgflags.a
%{_libdir}/libgflags_nothreads.a
%changelog
* Sat Aug 17 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/gflags.git;a=log;h=470fb86283153827577910ad0d152d717cfcfc4f

* Fri May 10 2019 Jan Rękorajski <baggins@pld-linux.org> 470fb86
- TODO already fixed

* Fri May 10 2019 Jan Rękorajski <baggins@pld-linux.org> 6af9913
- TODO

* Fri May 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 559bef0
- deal also with gflags-nonamespace-targets.cmake; release 2

* Thu Mar 28 2019 Jakub Bogusz <qboosh@pld-linux.org> d55de53
- updated to 2.2.2

* Sun Dec 24 2017 Jakub Bogusz <qboosh@pld-linux.org> 7feff4b
- hack cmake to disable libs check failure when gflags-static is not installed; release 2

* Sun Dec 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 3bba18a
- updated to 2.2.1

* Mon Dec 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 61c87c6
- updated to 2.2.0 (note: new soname, changed pkgconfig names)
- removed obsolete nothreads patch
- use upstream gflags.pc, added pc-nothreads patch to add gflags_nothreads.pc file

* Wed Apr 13 2016 Jakub Bogusz <qboosh@pld-linux.org> 0b0ad86
- updated to 2.1.2
- removed obsolete libversion patch

* Sat Nov 21 2015 Jan Rękorajski <baggins@pld-linux.org> 98cbd92
- release 4 (by relup.sh)

* Sat Mar 28 2015 Elan Ruusamäe <glen@delfi.ee> 8508bd3
- x32 rebuild
- release 3 (by relup.sh)

* Sun Nov 23 2014 Jan Rękorajski <baggins@pld-linux.org> 2385e74
- fix install on 64bit archs
- rel 2

* Sat Oct 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 6998cb4
- updated to 2.1.1 (project switched to cmake, introducing some regressions which require patching)
- added libversion patch to restore versioning of shared library
- added nothreads patch to fix libgflags_nothreads library build
- restore pkgconfig files

* Fri Jan 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 73e51ce
- updated to 2.0

* Mon Dec 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 20cbb81
- updated to 1.7

* Tue Aug 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 72920e5
- updated to 1.6

* Tue Jun 14 2011 Jakub Bogusz <qboosh@pld-linux.org> 6c0e1c4
- new

